List decisions
curl --request GET \
--url https://useorgx.com/api/v1/decisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"decisions": [
{
"id": "8cf6f6a4-9a3f-4a52-8d0e-6a4c2b1f9e37",
"workspace_id": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"title": "Approve the pricing page rewrite",
"status": "pending",
"shape": "option_select",
"urgency": "urgent",
"blocks_task": false,
"created_at": "2026-08-19T15:04:00.000Z",
"updated_at": "2026-08-19T15:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Decisions
List decisions
List workspace decisions with their shape, urgency, and resolution state. Resolution itself happens in the OrgX app under a signed-in human.
GET
/
decisions
List decisions
curl --request GET \
--url https://useorgx.com/api/v1/decisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"decisions": [
{
"id": "8cf6f6a4-9a3f-4a52-8d0e-6a4c2b1f9e37",
"workspace_id": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"title": "Approve the pricing page rewrite",
"status": "pending",
"shape": "option_select",
"urgency": "urgent",
"blocks_task": false,
"created_at": "2026-08-19T15:04:00.000Z",
"updated_at": "2026-08-19T15:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
Query Parameters
Available options:
deferred, standard, urgent, critical Available options:
pending, approved, declined, superseded, cancelled Required range:
1 <= x <= 200Response
Workspace decisions
Show child attributes
Show child attributes
